Bug 131773 - read of uninit local variable
Summary: read of uninit local variable
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nut   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-04 07:15 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 17:24:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-09-04 07:15:14 UTC
Description of problem:

I just tried to compile package nut-2.0.0-3 from
Redhat Fedora Core 3 Test 1.

The compiler said

cyberpower1100.c(102): remark #592: variable "values" is used before
its value is set

The source code is

        char temp1=values[6][0];

Suggest init values[6][0] before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ngo Than 2005-03-10 17:24:50 UTC
it's now fixed in 2.0.1-1, which is available in rawhide, thanks
for your report.


Note You need to log in before you can comment on or make changes to this bug.